> For the complete documentation index, see [llms.txt](https://docs.stackerhq.com/stacker-classic/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stackerhq.com/stacker-classic/getting-started-quick-guide/what-can-i-build-in-stacker/creating-a-home-page.md).

# Creating a Home Page

Create a home/welcome page for your users to land on to give context to your app.

### Content

* Add a new table into datasource
* Add a header
* Set the display type
* Add in widgets to the page
* Set navigation
* Remove edit button
* Set permissions

### Add a new table into datasource <a href="#h_01gbadqchp556zqqw8n6aksfej" id="h_01gbadqchp556zqqw8n6aksfej"></a>

In order to create a homepage, you need a table to work as the foundation. This table only needs a single record and only one field is required.

Remember to run an update in your app and enable the new table. This new table will now show in your Navigation bar.

If you do not want to add this into your datasource you can create a home/welcome page using our custom pages.

### Add a Header <a href="#h_01gbcw0sbvpccnfd78aw4cany9" id="h_01gbcw0sbvpccnfd78aw4cany9"></a>

1. Click **Edit Layout**
2. Select Header
3. Add in a title and description if required
4. Add in an image
5. Choose color mode and overlay
6. The size you want your header to be
7. The image position

![home\_page.gif](https://support.stackerhq.com/hc/article_attachments/8998619640595/home_page.gif)

### Set the display type <a href="#h_01gbcwnr4yk2csntb2r7c3kfg2" id="h_01gbcwnr4yk2csntb2r7c3kfg2"></a>

You will need to set the display type to One Record Only. This will allow adding further information onto the page.

1. Click **Edit Layout**
2. Click Display
3. Select One Record only

![](https://support.stackerhq.com/hc/article_attachments/8998681104019/Screenshot_2022-08-26_at_10.41.32.png)

### Add widgets to the page <a href="#h_01gbadr5en2d2b6shj3zetaqas" id="h_01gbadr5en2d2b6shj3zetaqas"></a>

After setting the page to one record only you can customize by adding widgets onto the page.

1. Click Edit Layout
2. Drag over the Highlight widget at the top of the page (using the 'welcome' field)
3. Drag over the Banner widget as text containers with additional information
4. Add an Embed widget to add maps, videos, and other features
5. Display important records from other tables using Record list

![home\_page.gif](https://support.stackerhq.com/hc/article_attachments/8998883739155/home_page.gif)

### Set navigation <a href="#h_01gbct9kffyzpf6vtrc77tz5ks" id="h_01gbct9kffyzpf6vtrc77tz5ks"></a>

To make sure that users land on the home page we need to make sure it appears at the top of the navigation.

1. Click **App Settings**
2. Select Navigation
3. Drag the Layout to the top

![Screenshot\_2022-08-26\_at\_11.17.25.png](https://support.stackerhq.com/hc/article_attachments/8999000311315/Screenshot_2022-08-26_at_11.17.25.png)

### Remove edit button <a href="#h_01gbctrqazxd0teab72bzgfs11" id="h_01gbctrqazxd0teab72bzgfs11"></a>

We don't want users to edit the page since it's going to be a static page of information for them.

1. Click Edit **Layout**
2. Click Page buttons
3. Toggle off Edit button

### Set permissions <a href="#h_01gbctrzmfrxr0dw0bxzs70nv5" id="h_01gbctrzmfrxr0dw0bxzs70nv5"></a>

To make sure that everyone has access to the page we need to set the permissions so that all users can see the page.

1. Click **Manage field and data**
2. Click Permissions
3. Make sure Record Filters are set to All Records
4. If there are User Roles enabled, make sure permission sharing is set to everyone

![](https://support.stackerhq.com/hc/article_attachments/8999298837779/Screenshot_2022-08-26_at_11.49.14.png)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stackerhq.com/stacker-classic/getting-started-quick-guide/what-can-i-build-in-stacker/creating-a-home-page.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
